FreshPorts - VuXML

This page displays vulnerability information about FreeBSD Ports.

The last vuln.xml file processed by FreshPorts is:

Revision:  375358
Date:      2014-12-23
Time:      21:24:55Z
Committer: rea

List all Vulnerabilities, by package

List all Vulnerabilities, by date

These are the vulnerabilities relating to the commit you have selected:

VuXML IDDescription
dee44ba9-08ab-11e2-a044-d0df9acfd7e5OpenX -- SQL injection vulnerability

Secunia reports:

A vulnerability has been discovered in OpenX, which can be exploited by malicious people to conduct SQL injection attacks.

Input passed via the "xajaxargs" parameter to www/admin/updates-history.php (when "xajax" is set to "expandOSURow") is not properly sanitised in e.g. the "queryAuditBackupTablesByUpgradeId()" function (lib/OA/Upgrade/DB_UpgradeAuditor.php) before being used in SQL queries. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The vulnerability is confirmed in version 2.8.9. Prior versions may also be affected.


Discovery 2012-09-14
Entry 2012-09-27
openx
lt 2.8.10

http://secunia.com/advisories/50598/
46aeba13-64a1-11e1-bc16-0023ae8e59f0openx -- undisclosed security issue

OpenX does not provide information about vulnerabilities beyond their existence.


Discovery 2011-12-01
Entry 2012-03-02
Modified 2012-07-08
openx
lt 2.8.9

http://blog.openx.org/12/security-matters-3
3e33a0bb-6b2f-11e3-b042-20cf30e32f6dOpenX -- SQL injection vulnerability

Revive reports:

An SQL-injection vulnerability was recently discovered and reported to the Revive Adserver team by Florian Sander. The vulnerability is known to be already exploited to gain unauthorised access to the application using brute force mechanisms, however other kind of attacks might be possible and/or already in use. The risk is rated to be critical as the most common end goal of the attackers is to spread malware to the visitors of all the websites and ad networks that the ad server is being used on.

The vulnerability is also present and exploitable in OpenX Source 2.8.11 and earlier versions, potentially back to phpAdsNew 2.0.x.


Discovery 2013-12-20
Entry 2013-12-22
openx
lt 3.0.2

http://www.revive-adserver.com/security/revive-sa-2013-001/
http://www.kreativrauschen.com/blog/2013/12/18/zero-day-vulnerability-in-openx-source-2-8-11-and-revive-adserver-3-0-1/
CVE-2013-7149
46aeba13-64a1-11e1-bc16-0023ae8e59f0openx -- undisclosed security issue

OpenX does not provide information about vulnerabilities beyond their existence.


Discovery 2011-12-01
Entry 2012-03-02
Modified 2012-07-08
openx
lt 2.8.9

http://blog.openx.org/12/security-matters-3